summaryrefslogtreecommitdiffstats
path: root/testing2x
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2008-11-21 07:05:09 +0100
committerAaron Griffin <aaronmgriffin@gmail.com>2008-11-21 07:05:09 +0100
commit07ec0708d31794221bec7ee3e7f07755707fd36a (patch)
tree74cb124401726429dab154297041b7e857436105 /testing2x
parentc7fa1913b56e7619b64b93a10e130cf90508737a (diff)
downloaddbscripts-07ec0708d31794221bec7ee3e7f07755707fd36a.tar.gz
dbscripts-07ec0708d31794221bec7ee3e7f07755707fd36a.tar.xz
Clear traps on cleanup
This prevents us from trying to remove the lockfile twice, and calling cleanup multiple times Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
Diffstat (limited to 'testing2x')
-rwxr-xr-xtesting2x45
1 files changed, 23 insertions, 22 deletions
diff --git a/testing2x b/testing2x
index 812edd3..b576640 100755
--- a/testing2x
+++ b/testing2x
@@ -5,23 +5,24 @@
source_makepkg
case "$0" in
- *64)
+ *64)
arch="x86_64"
;;
- *)
+ *)
arch="i686"
;;
esac
WORKDIR="$TMPDIR/testing2x.$UID"
cleanup() {
- rm -rf "${WORKDIR}"
- [ -n "$1" ] && exit $1
+ trap '' 0 2
+ rm -rf "${WORKDIR}"
+ [ -n "$1" ] && exit $1
}
ctrl_c() {
- echo "Interrupted" >&2
- cleanup 0
+ echo "Interrupted" >&2
+ cleanup 0
}
trap ctrl_c 2
@@ -32,23 +33,23 @@ cd "${WORKDIR}"
cd checkout
for pkg in $*; do
- moved=0
- /usr/bin/svn up -q ${pkg}
- if [ -f "${pkg}/repos/testing-${arch}/${BUILDSCRIPT}" ]; then
- for repo in core extra; do
- if [ -f "${pkg}/repos/${repo}-${arch}/${BUILDSCRIPT}" ]; then
- echo "===> Moving package '${pkg}': testing-${arch} -> ${repo}-${arch}"
- $(dirname $0)/db-move "${pkg}" "testing" "${repo}" "${arch}"
- moved=1
- break
- fi
- done
- if [ ${moved} -eq 0 ]; then
- echo "===> Warning: ${pkg} is only in testing-${arch}, cannot determine where to move it"
+ moved=0
+ /usr/bin/svn up -q ${pkg}
+ if [ -f "${pkg}/repos/testing-${arch}/${BUILDSCRIPT}" ]; then
+ for repo in core extra; do
+ if [ -f "${pkg}/repos/${repo}-${arch}/${BUILDSCRIPT}" ]; then
+ echo "===> Moving package '${pkg}': testing-${arch} -> ${repo}-${arch}"
+ $(dirname $0)/db-move "${pkg}" "testing" "${repo}" "${arch}"
+ moved=1
+ break
+ fi
+ done
+ if [ ${moved} -eq 0 ]; then
+ echo "===> Warning: ${pkg} is only in testing-${arch}, cannot determine where to move it"
+ fi
+ else
+ echo "===> Warning: ${pkg} is not in testing-${arch}"
fi
- else
- echo "===> Warning: ${pkg} is not in testing-${arch}"
- fi
done
cleanup